# FWDekker Template
The base template for pages on fwdekker.com.

This module contains templating functions (e.g. `nav`, `footer`), CSS libraries, and some common utility methods that
are used on nearly all pages anyway.

The main functionality is provided in `template.js` and `template.css`.
There also exist optional modules for easily reusing common code.
Modules can be used stand-alone.
If `template.js` is used, modules should be loaded after `template.js`.
Current available modules are:
* `storage.js` for interfacing with local storage, and
  Main module optional.
* `validation.js` for form validation.
  Requires main module.


## Development
### Requirements
* [npm](https://www.npmjs.com/)

### Setting up
```shell script
# Install dependencies (only needed once)
$> npm ci
```

### Building
```shell script
# Build the template in `dist/` for deployment
$> npm run deploy
# Run the `deploy` task and automatically rerun it whenever files are changed
$> npm run deploy:server
```
